cURL
curl --request POST \ --url https://{APPLICATION_ID}.algolia.net/agent-studio/1/agents \ --header 'Content-Type: application/json' \ --header 'X-Algolia-API-Key: <x-algolia-api-key>' \ --header 'X-Algolia-Application-Id: <x-algolia-application-id>' \ --data ' { "name": "<string>", "instructions": "<string>", "description": "<string>", "providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "model": "<string>", "config": {}, "tools": [ { "name": "<string>", "description": "<string>", "inputSchema": { "type": "object", "properties": {}, "required": [ "<string>" ] }, "type": "client_side" } ] } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "status": "draft", "providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "instructions": "<string>", "config": {}, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "lastUsedAt": "2023-11-07T05:31:56Z", "model": "<string>", "tools": [ { "name": "<string>", "description": "<string>", "inputSchema": { "type": "object", "properties": {}, "required": [ "<string>" ] }, "type": "client_side" } ] }
Create a new agent.
editSettings
"sendUsage: true"
"sendReasoning: true"
"temperature: 0.7"
"max_tokens: 1500"
"reasoning: {summary: auto}"
"features: [memory]"
Show child attributes
Successful Response
draft
published
Was this page helpful?